Skip to content

PromotedLinksSequences

PromotedLinksSequences entities and endpoints of the Amplify API.

Sequences comes in 2 formats:

  • Carousel - multi-promotedLink format that features CTA buttons, brand logo, and more. You can use Carousel to tell your brand story, showcase multiple products, and build a sequential message — with up to 10 images for consumers to swipe through.
    • In order to create sequences of this type your campaign’s creative format must be Carousel (see Campaign creative format)
    • A carousel must have at least 3 promoted links and up to 10 promoted links in it
    • A campaign can have only 1 carousel
    • Promoted links can’t be duplicated in the same carousel
    • All promoted links must be in the same language
    • App rating us supported only for sequences of type AppInstall
  • App Install - gives you the ability to present your promoted link with logo, sponsor, app rating and direct redirect to google/apple store to download and install the app.
    • In order to create sequences of this type your campaign’s creative format must be AppInstall (see Campaign creative format)
    • An App Install can have 1 promoted link
    • A campaign can have multiple app install sequences
    • Sequence title is not supported

Promoted link sequence object has the following attributes:

PropertyTypeSemanticExample
idStringThe sequence’s id“00379e1b3fd0508e2885ae9257b61315ee”
campaignIdStringThe campaign that the sequence belongs to“00aa2f7e68426a08930ae1c0a32028592b”
titleStringThe sequence’s title"title"
onAirStatusSequence On Air Object
cachedLogoUrlStringThe logo image url“http://someImageUrl.com”
sponserStringThe sponsor’s name“sponser”
promotedLinksSub Promoted Link Object
ratingEnabledBooleanShould rating from apple/google store should be displayedtrue
appDetailsApp Details Object
creationTimeDateWhen was the sequence created"2019-05-22 12:23:37"
lastModifiedDateLast time the sequence was modified"2019-05-23 12:23:37"
PropertyTypeSemanticExample
idStringThe promoted link id“00b38b4ab4c5490bf8fe707c5448d77b56”
sequenceSettingsSequence Settings ObjectThe promotedLink sequence settings

Sequence Settings Object

PropertyTypeSemanticExample
sequenceOrderIntegerThe promoted link’s place in the sequence2

Sequence On Air Object

PropertyTypeSemanticExample
onAirBooleanIs the sequence on airfalse
reasonStringThe sequence on air reason“DISABLED”

App Details Object

PropertyTypeSemanticExample
ratingStringThe app rating as crawled by our systems"4.5"

PromotedLinksSequence

Endpoints

Create a PromotedLinkSequence

Endpoints

Update a PromotedLinksSequence

Endpoints

PromotedLinksSequences Collection

Collection of all PromotedLinksSequences for the specified Campaign. Results can be filtered by supplying additional query parameters.

The PromotedLinksSequences collection resource has the following attributes:

  • sequences - Array of Promoted Links Sequence.
  • count - Number of PromotedLinksSequences returned in the sequences array included in this response.
  • totalCount - Total number of PromotedLinksSequence regardless of 'limit' and 'offset' parameters, used for pagination.

Endpoints